# Tinker's Satchel

## SUPPORT DISCLAIMER

### Use of a mod manager is STRONGLY RECOMMENDED.

Seriously, use a mod manager.

If the versions of Tinker's Satchel or TILER2 (or possibly any other mods) are different between your game and other players' in multiplayer, things WILL break. If TILER2 is causing kicks for "unspecified reason", it's likely due to a mod version mismatch. Ensure that all players in a server, including the host and/or dedicated server, are using the same mod versions before reporting a bug.

**While reporting a bug, make sure to post a console log** (`path/to/RoR2/BepInEx/LogOutput.log`) from a run of the game where the bug happened; this often provides important information about why the bug is happening. If the bug is multiplayer-only, please try to include logs from both server and client.

## Description

Tinker's Satchel is a general content pack, containing assorted items, equipments, interactables, and artifacts (for now -- more content types pending!). In total, this mod includes:

- 30 total items/equipments:
	- 6 tier-1,
	- 6 tier-2,
	- 5 tier-3,
	- 5 equipments,
	- 3 lunar items,
	- 3 lunar equipments,
	- 1 tier-1 void,
	- 1 tier-2 void;
- 2 interactables:
	- 2 drones;
- and 5 artifacts.

### Mod Content: Items & Equipments

<table>
	<thead>
		<tr>
			<th>Icon</th>
			<th>Name/Description<br><small>Pickup; click &rtrif; for logbook description</small></th>
			<th>Notes</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td colspan="3" align="center"><h3>Tier-1 Items</h3></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/mimicIcon.png?raw=true" width=256></td>
			<td>
				<b>Mostly-Tame Mimic</b><br>
				<details>
					<summary>Mimics your other items at random.</summary>
					<small>Picks one of your other items to mimic (each stack is tracked separately). Every 3 seconds, the mimic has a 15% chance to switch to a new item.</small>
				</details>
			</td>
			<td><ul>
				<li>Each individual stack has a small chance over time to switch which item it's mimicking.</li>
				<li>Has weighted tiers similar to a T1 chest. Tier weights can be configured.</li>
			</ul></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/mugIcon.png?raw=true" width=256></td>
			<td>
				<b>Sturdy Mug</b><br>
				<details>
					<summary>Chance to shoot extra, unpredictable projectiles.</summary>
					<small>All projectile attacks gain a 10% (+10% per stack) chance to fire an extra copy with 17.5&deg; of inaccuracy.</small>
				</details>
			</td>
			<td><ul>
				<li>Works on most dumbfire projectiles, but not missiles, ground-target AoEs, or deployables.</li>
				<li>Stacks linearly past 100% (becomes a chance to fire a 2nd extra projectile, then a 3rd, etc.).</li>
				<li><details><summary>Unlock (spoilers!):</summary>Miss 1000 TOTAL projectile attacks.</details></li>
			</ul></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/shootToHealIcon.png?raw=true" width=256></td>
			<td>
				<b>Percussive Maintenance</b><br>
				<details>
					<summary>Hit allies to heal them.</summary>
					<small>Hitting an ally with a direct attack heals them for 2.0 health (+2.0 per stack) and you for 25% as much.</small>
				</details>
			</td>
			<td><ul>
				<li>Double healing of and lower tier than Leeching Seed, due to the opportunity cost of dealing damage to enemies, needing to see and hit your probably-juking-very-hard teammates, etc.</li>
				<li><details><summary>Unlock (spoilers!):</summary>Have Ukulele, War Horn, and Gorag's Opus all at once.</details></li>
			</ul></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/moustacheIcon.png?raw=true" width=256></td>
			<td>
				<b>Macho Moustache</b><br>
				<details>
					<summary>The bigger the fight, the higher your damage.</summary>
					<small>Gain 1% damage (+1% per stack, linear) per in-combat or in-danger enemy within 100 m. Elites count as 3 enemies, bosses count as 5 enemies, and elite bosses count as 7 enemies.</small>
				</details>
			</td>
			<td><ul>
				<li><details><summary>Unlock (spoilers!):</summary>Be in a fight with a score of 30 or more (scored as if you had 1 stack of this item).</details></li>
			</ul></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/triBroochIcon.png?raw=true" width=256></td>
			<td>
				<b>Triskelion Brooch</b><br>
				<details>
					<summary>Chance to combine ignite, freeze, and stun.</summary>
					<small>Ignites, freezes, and stuns have a 9% (+9% per stack) chance to also cause one of the other effects listed for 100% base damage (+25% per stack).</small>
				</details>
			</td>
			<td><ul>
				<li>Frozen enemies are stunproof, so only extra damage will occur if a freeze also procs a stun.</li>
				<li><details><summary>Unlock (spoilers!):</summary>Stun, then freeze, then ignite the same enemy within 3 seconds (any player may contribute).</details></li>
			</ul></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/motionTrackerIcon.png?raw=true" width=256></td>
			<td>
				<b>Old War Lidar</b><br>
				<details>
					<summary>Deal more damage to persistent combatants.</summary>
					<small>Deal up to 15% more damage (+15% per stack) to any enemy you have recently hit or been hit by, ramping up over 15 seconds.</small>
				</details>
			</td>
			<td><ul>
				<li><details><summary>Unlock (spoilers!):</summary>Fully charge a Teleporter without dying or killing the boss.</details></li>
			</ul></td>
		</tr>
		<tr>
			<td colspan="3" align="center"><h3>Tier-2 Items</h3></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/goldenGearIcon.png?raw=true" width=256></td>
			<td>
				<b>Armor Crystal</b><br>
				<details>
					<summary>Gain armor by hoarding money.</summary>
					<small>Gain armor based on your currently held money. The first point of armor costs $10 (-10% per stack, exponential; scales with difficulty); each subsequent point costs 7.5% more than the last.</small>
				</details>
			</td>
			<td><ul>
			</ul></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/kleinBottleIcon.png?raw=true" width=256></td>
			<td>
				<b>Unstable Klein Bottle</b><br>
				<details>
					<summary>Chance to push or pull nearby enemies on taking damage.</summary>
					<small>8.0% (+8.0% per stack, mult.) chance to push away or pull (pulls on melee survivors) enemies within 20 m after taking damage. Has an internal cooldown of 0.5 s.</small>
				</details>
			</td>
			<td><ul>
				<li><details><summary>Unlock (spoilers!):</summary>Block, or take 1 or less points of damage from, 3 attacks in a row.</details></li>
			</ul></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/deadManSwitchIcon.png?raw=true" width=256></td>
			<td>
				<b>Pulse Monitor</b><br>
				<details>
					<summary>Auto-activate your equipment for free at low health.</summary>
					<small>Falling below 25% health activates your equipment without putting it on cooldown. This effect has its own cooldown equal to the cooldown of the activated equipment (-15% per stack, mult.).</small>
				</details>
			</td>
			<td><ul>
				<li>Uses equipment's unmodified cooldown and applies its own cooldown reduction. Has a config option to allow other CDR sources like Fuel Cell to also apply, disabled by default.</li>
				<li><details><summary>Unlock (spoilers!):</summary>Fall below 25% health, then return above 50%, 9 times in the same run.</details></li>
			</ul></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/damageBufferIcon.png?raw=true" width=256></td>
			<td>
				<b>Negative Feedback Loop</b><br>
				<details>
					<summary>Some incoming damage is dealt over time.</summary>
					<small>20% (+20% per stack, hyperbolic) of incoming damage is applied gradually over 5 seconds, ticking continuously. Healing past max health will apply to the pool of delayed damage.</small>
				</details>
			</td>
			<td><ul>
			</ul></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/pixieTubeIcon.png?raw=true" width=256></td>
			<td>
				<b>Pixie Tube</b><br>
				<details>
					<summary>Drop random buffs on using skills.</summary>
					<small>You drop 1 (+1 per stack) random elemental wisp< when you use any skill (3 s individual cooldown on each skill, 6 s on primary skill). Elemental wisps can be picked up by any ally as a small, stacking buff for 10 seconds: +2.5% damage, +5% movement speed, +5% attack speed, or 10 armor.</small>
				</details>
			</td>
			<td><ul>
				<li>Has a short pickup delay so you don't eat them all instantly if you're moving away from them.</li>
				<li>Pickup range will increase over time to reduce the pressure to chase orbs around constantly.</li>
				<li>It's a <a href="https://en.wikipedia.org/wiki/Nixie_tube">Nixie tube</a>.</li>
			</ul></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/defibIcon.png?raw=true" width=256></td>
			<td>
				<b>Defibrillator</b><br>
				<details>
					<summary>Your heals can crit.</summary>
					<small>Your crit chance applies to all healing that you cause, for +50% (+25% per stack) HP healed.</small>
				</details>
			</td>
			<td><ul>
				<li>Does not apply to healing received from other characters (e.g. someone else's Bustling Fungus stacks), but anyone receiving shared healing from you may receive crit healing.</li>
				<li><details><summary>Unlock (spoilers!):</summary>Have any 4 of Bustling Fungus, Monster Tooth, Percussive Maintenance, Lepton Daisy, Interstellar Desk Plant, and Gnarled Woodsprite at once.</details></li>
			</ul></td>
		</tr>
		<tr>
			<td colspan="3" align="center"><h3>Tier-3 Items</h3></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/headsetIcon.png?raw=true" width=256></td>
			<td>
				<b>H3AD-53T</b><br>
				<details>
					<summary>Your Utility skill builds a stunning static charge.</summary>
					<small>After activating your Utility skill, the next 5 enemies (+3 per stack) your path crosses will take 400% damage (+150% per stack) and be stunned for 5 seconds.</small>
				</details>
			</td>
			<td><ul>
				<li>Grants or refreshes charges of a buff. Running into or phasing through an enemy spends a charge to deal damage and stun.</li>
				<li><details><summary>Unlock (spoilers!):</summary>Kill a boss with a maximum damage H3AD-5T v2 explosion.</details></li>
			</ul></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/pinballIcon.png?raw=true" width=256></td>
			<td>
				<b>Pinball Wizard</b><br>
				<details>
					<summary>Projectiles may bounce and home.</summary>
					<small>All your projectile attacks have a 15% chance to bounce, exploding one extra time and homing towards a random enemy with 50% of their original damage. Can happen up to 3 times (+2 per stack) per projectile.</small>
				</details>
			</td>
			<td><ul>
				<li>Overrides gravity, impact fuse time, etc. on affected projectiles to unerringly track towards a target.</li>
				<li>Does not work on deployables (mines, shields, etc.), sticky projectiles, or either of Rex's Special skills.</li>
				<li>Ding!</li>
				<li><details><summary>Unlock (spoilers!):</summary>Have any 3 of Gasoline, Will-o'-the-wisp, Ceremonial Dagger, Frost Relic, Resonance Disc, and Shatterspleen at once.</details></li>
			</ul></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/goFasterIcon.png?raw=true" width=256></td>
			<td>
				<b>Go-Faster Stripes</b><br>
				<details>
					<summary>Your Utility skill gains more mobility.</summary>
					<small>Upgrades your Utility skill, greatly increasing its mobility.</small>
				</details>
			</td>
			<td><ul>
				<li><details><summary>Class-specific details (click to expand):</summary><ul>
					<li>Most classes: ~+50% move/launch/jump/etc. speed during Utility skill.</li>
					<li>Huntress: also has reduced blink duration.</li>
					<li>MUL-T: reactivate Utility skill up to 3 times while active to extend its duration by 1 second. Boosted speed is applied during this duration.</li>
					<li>Engi: shield applies a stacking speed buff to anyone inside; missiles can be self-targeted (fire with no targets) to explosive jump.</li>
					<li>Bandit: Explosive-jump with the blast from your smokebomb.</li>
					<li>Artificer: teleports to wall location (placeholder, intended effect is launch ramp or icy ground).</li>
					<li>Captain: small airstrike causes a no-damage blast jump; nuke launch becomes more controllable and displays a trajectory preview. Both grant fall damage prevention until your next collision with terrain.</li>
					<li>DLC characters: WIP! No item effect yet.</li>
				</ul></details></li>
				<li><details><summary>Unlock (spoilers!):</summary>Trimp -- jump or fall onto a ramp fast enough that you get launched upwards. Running off a ramp won't work.</details></li>
			</ul></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/skeinIcon.png?raw=true" width=256></td>
			<td>
				<b>Spacetime Skein</b><br>
				<details>
					<summary>Gain mass while stationary. Lose mass while moving.</summary>
					<small>Standing still reduces the next damage and knockback you take by up to 50% (+50% per stack, hyperbolic). Moving increasing your move and attack speed by up to 50% (+50% per stack, linear). Effect ramps up over 5 seconds, and is lost once you start or stop moving (latter has a brief grace period).</small>
				</details>
			</td>
			<td><ul>
				<li><details><summary>Unlock (spoilers!):</summary>Complete the achievements for Percussive Maintenance, Defibrillator, Pinball Wizard, and Lodestone.</details></li>
			</ul></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/shrinkRayIcon.png?raw=true" width=256></td>
			<td>
				<b>Shrink Ray</b><br>
				<details>
					<summary>Suppress a single target's non-primary skills and damage.</summary>
					<small>Once every 2.5 seconds, hitting an enemy disables their non-primary skills and reduces their damage by 50% for 3.0 seconds (+3.0 seconds per stack).</small>
				</details>
			</td>
			<td><ul>
			</ul></td>
		</tr>
		<tr>
			<td colspan="3" align="center"><h3>Equipments</h3></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/packBoxIconOpen.png?raw=true" width=256></td>
			<td>
				<b>Cardboard Box</b><br>
				<details>
					<summary>Pack up and move. <small>[Cooldown: 60 s]</small></summary>
					<small>Use once to pack up a turret, healing shrine, or most other interactables. Use again to place the packed object and put the Cardboard Box on cooldown.</small>
				</details>
			</td>
			<td><ul>
			</ul></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/rewindIcon.png?raw=true" width=256></td>
			<td>
				<b>Causal Camera</b><br>
				<details>
					<summary>Phase briefly and rewind yourself 10 seconds. <small>[Cooldown: 90 s]</small></summary>
					<small>Phase out of existence for 2.0 seconds. Rewind your position, health, and skill cooldowns <small>(except equipment)</small> to their states from up to 10.0 seconds ago.</small>
				</details>
			</td>
			<td><ul>
				<li>Rewinds position, velocity, health, shields, barrier, and skill cooldowns/stock (except equipment).</li>
			</ul></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/recombobulatorIcon.png?raw=true" width=256></td>
			<td>
				<b>Quantum Recombobulator</b><br>
				<details>
					<summary>Reroll an interactable once. <small>[Cooldown: 60 s]</small></summary>
					<small>Reroll an interactable into a different one which is valid for the current stage. Only works once per interactable.</small>
				</details>
			</td>
			<td><ul>
			</ul></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/reviveOnceIcon.png?raw=true" width=256></td>
			<td>
				<b>Command Terminal</b><br>
				<details>
					<summary>Revive an ally or summon a drone. Consumed on use. <small>[Cooldown: 10 s]</small></summary>
					<small>Revives one survivor at random, calling them down in a drop pod. If no survivors are dead, the drop pod will contain a random drone instead. Will be consumed on use.</small>
				</details>
			</td>
			<td><ul>
				<li>Can summon equipment drones with random equipment, or item drones with random items.</li>
			</ul></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/lodestoneIcon.png?raw=true" width=256></td>
			<td>
				<b>Lodestone</b><br>
				<details>
					<summary>Pull nearby enemies and allied item effects. <small>[Cooldown: 20 s]</small></summary>
					<small>Pull enemies within 40 m towards yourself for 400% base damage. Pull drops, orbs, and projectiles caused by ally items within 150 m to your location.</small>
				</details>
			</td>
			<td><ul>
				<li>Second effect applies to: Monster Tooth, Sticky Bomb, Warbanner, Pixie Tube, Bandolier, Ghor's Tome, Shuriken, Interstellar Desk Plant, Molten Perforator, Forgive Me Please, Preon Accumulator, Primordial Cube, Sawmerang, Effigy of Grief, Egocentrism, Mercurial Rachis.</li>
				<li><details><summary>Unlock (spoilers!):</summary>Have any 6 of Bustling Fungus, Focus Crystal, Macho Moustache, Villainous Visage, Razorwire, Unstable Klein Bottle, Frost Relic, Unstable Tesla Coil, N'kuhana's Opinion, H3AD-53T, Little Disciple, Mired Urn, Egocentrism, Blast Shower, and Helfire Tincture at once.</details></li>
			</ul></td>
		</tr>
		<tr>
			<td colspan="3" align="center"><h3>Lunar Items</h3></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/wranglerIcon.png?raw=true" width=256></td>
			<td>
				<b>RC Controller</b><br>
				<details>
					<summary>Nearby turrets and drones attack with you... <i>BUT no longer attack automatically.</i></summary>
					<small>All turrets and drones under your ownership within 150 meters will no longer auto-target, auto-attack, or chase enemies. Order drones to fire by holding your Primary skill keybind. Affected turrets and drones gain +25% attack speed (+25% per stack).</small>
				</details>
			</td>
			<td><ul>
			</ul></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/bismuthFlaskIcon.png?raw=true" width=256></td>
			<td>
				<b>Bismuth Tonic</b><br>
				<details>
					<summary>Gain resistance when hit by one enemy type... <i>BUT gain weakness to the others.</i></summary>
					<small>On being hit by one type of enemy: take 12.5% less damage from subsequent attacks from that type, but 20% more damage from all other types. Wears off after 10 seconds.</small>
				</details>
			</td>
			<td><ul>
			</ul></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/healsToDamageIcon.png?raw=true" width=256></td>
			<td>
				<b>Hydroponic Cell</b><br>
				<details>
					<summary>Half of damage and healing received combine into damage on your next strike... <i>BUT you heal for 50% less.</i></summary>
					<small>Store nutrients on taking damage equal to 50% (+50% per stack, hyperbolic) of the damage taken, up to 10x your max health. 50% (+50% per stack, hyperbolic) of incoming healing is blocked. Each point of blocked healing instead converts 1 point of nutrients into 0.5 points of base damage, up to 100x your damage stat. This bonus damage will be consumed by your next attack that deals more than 400% damage.</small>
				</details>
			</td>
			<td><ul>
			</ul></td>
		</tr>
		<tr>
			<td colspan="3" align="center"><h3>Lunar Equipments</h3></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/compassIcon.png?raw=true" width=256></td>
			<td>
				<b>Silver Compass</b><br>
				<details>
				<summary>Shows you a path... <i>BUT it will be fraught with danger.</i> <small>[Cooldown*: 180 s]</small></summary>
				<small>Immediately reveals the teleporter. Also adds two stacks of Challenge of the Mountain to the current stage, one of which will not provide extra item drops. Works only once per player per stage.</small>
				</details>
			</td>
			<td><ul>
				<li>*Works only once per player per stage, <i>in addition to</i> a long cooldown in case of very fast stage clears. Both of these are configurable.</li>
			</ul></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/unstableBombIcon.png?raw=true" width=256></td>
			<td>
				<b>Faulty Mortar Tube</b><br>
				<details>
				<summary>Throw a bomb that will detonate when damaged... <i>BUT it may damage survivors too.</i> <small>[Cooldown: 40 s]</small></summary>
				<small>Throw a live mortar shell that will embed in the ground. After taking any damage, or after 10 seconds, the shell explodes for 8000% damage to ALL characters in range.</small>
				</details>
			</td>
			<td><ul>
			</ul></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/EMPIcon.png?raw=true" width=256></td>
			<td>
				<b>EMP Device</b><br>
				<details>
				<summary>Disable skills on enemies... <i>BUT disable non-primary skills on survivors.</i> <small>[Cooldown: 60 s]</small></summary>
				<small>For 10 seconds, all skills on enemies and non-primary skills on survivors within 100 m will be disabled. Also clears enemy projectiles when used.</small>
				</details>
			</td>
			<td><ul>
			</ul></td>
		</tr>
		<tr>
			<td colspan="3" align="center"><h3>Void Items</h3><h4>&emsp;&emsp;(requires Survivors of the Void DLC)</h4></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/voidMoustacheIcon.png?raw=true" width=256></td>
			<td>
				<b>Villainous Visage</b> (T1)<br>
				<details>
				<summary>Deal more damage when given time to plot. Corrupts all Macho Moustaches.</summary>
				<small>While out of combat, build up a damage buff that will last 2 seconds once in combat. Builds 3% damage per second (+3% per stack), up to 15% (+15% per stack). Corrupts all Macho Moustaches.</small>
				</details>
			</td>
			<td><ul>
				<li><details><summary>Unlock (spoilers!):</summary>Unlocks along with Macho Moustache.</details></li>
			</ul></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/voidGoldenGearIcon.png?raw=true" width=256></td>
			<td>
				<b>Armor Prism</b> (T2)<br>
				<details>
				<summary>Gain massive armor by focusing your item build. Corrupts all Armor Crystals.</summary>
				<small>Gain armor based on your currently held types of item (fewer is better). Having only Armor Prisms gives 500 armor (+25% per stack, inverse-exponential); each subsequent item type reduces armor by 12.5%. Corrupts all Armor Crystals.</small>
				</details>
			</td>
			<td><ul>
			</ul></td>
		</tr>
	</tbody>
</table>

### Mod Content: Interactables

<table>
	<thead>
		<tr>
			<th>Icon</th>
			<th>Name/Description</th>
			<th>Notes</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td colspan="3" align="center"><h3>Drones</h3></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/ItemDroneIcon.png?raw=true" width=256></td>
			<td>
				<b>Item Drone</b><br>
				<details>
					<summary>Give items to share them with allies near the drone.</summary>
					<small>Found slightly more commonly than Equipment Drones, an Item Drone is activated by giving it some of your items. The number of transferred items will depend on which tier you select (5 T1 <i>or</i> 3 T2 <i>or</i> 1 T3). An activated Item Drone will follow you (or, if dead, another ally) closely, sharing its items' effects with all allies in a large radius.</small>
				</details>
			</td>
			<td><ul>
				<li>Will drop contained items on death.</li>
			</ul></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/BulwarkDroneIcon.png?raw=true" width=256></td>
			<td>
				<b>Bulwark Drone</b><br>
				<details>
					<summary>Enemies near the drone will attack it more often. Has high health and innate shield and armor.</summary>
					<small>Found slightly more commonly than Equipment Drones, a Bulwark Drone is purchased with money (2x as much as a Gunner Drone). Bulwark Drones have very high health, as well as an innate regenerating shield and damage-resisting armor. An activated Bulwark Drone will follow you (or, if dead, another ally) closely; every 5 seconds, every enemy within 100 meters of the Bulwark Drone will have a 50% chance to be forced to attack it for the duration.</small>
				</details>
			</td>
			<td><ul>
			</ul></td>
		</tr>
	</tbody>
</table>


### Mod Content: Artifacts

<table>
	<thead>
		<tr>
			<th>Icon</th>
			<th>Name</th>
			<th>Description</th>
			<th>Notes</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/tactics_on.png?raw=true" width=128></td>
			<td><b>Artifact of Tactics</b></td>
			<td>All combatants give nearby teammates small, stacking boosts to speed, damage, and armor.</td>
			<td><ul>
				<li>Buff is 5% speed, 10% damage, and 15 armor per ally (including self) within 25 m.</li>
				<li>All listed aspects of buff can be configured.</li>
			</ul></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/antiair_on.png?raw=true" width=128></td>
			<td><b>Artifact of Suppression</b></td>
			<td>Players take heavily increased damage while airborne.</td>
			<td><ul>
				<li>Incoming damage is multiplied by 5 (configurable).</li>
			</ul></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/butterknife_on.png?raw=true" width=128></td>
			<td><b>Artifact of Haste</b></td>
			<td>All combatants attack 10x faster and deal 1/20x damage.</td>
			<td><ul>
				<li>Values are <i>not</i> configurable.</li>
			</ul></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/danger_on.png?raw=true" width=128></td>
			<td><b>Artifact of Danger</b></td>
			<td>Players can be killed in one hit.</td>
			<td><ul>
				<li>Provides a config option (disabled by default) to force one-hit protection while this artifact is off, even while cursed (e.g. Artifact of Glass).</li>
			</ul></td>
		</tr>
		<tr>
			<td><img src="https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/ModMeta/Assets/delayitems_on.png?raw=true" width=128></td>
			<td><b>Artifact of Safekeeping</b></td>
			<td>All item drops are taken and guarded by the teleporter boss, which will explode in a shower of loot when killed.</td>
			<td><ul>
				<li>Provides a config option to control the level of detail of chat announcements when an item is taken.</li>
				<li>Provides a config option to control the level of detail of chat announcements when the boss is killed.</li>
			</ul></td>
		</tr>
	</tbody>
</table>

## Issues/TODO

- Items have no DisplayRules.
- Most items need some effects & model polish in general.
	- Broken drones are missing smoke/sparks effects.
- Some class-specific item behaviors on Go-Faster Stripes are missing or placeholders.
- Mimic usually displays a count of 0 in chat pickup announcements; might also not count towards logbook stat tracker.
- See the GitHub repo for more!

## Changelog

The 5 latest updates are listed below. For a full changelog, see: https://github.com/ThinkInvis/RoR2-TinkersSatchel/blob/master/changelog.md

**1.12.2**

- Balance pass.
	- Macho Moustache:
		- Now has a radius of 100 m (was 10 m).
		- Now provides a damage bonus of 1% per enemy per stack (was 5%).
		- Now only works on enemies in combat (used a skill recently) or danger (was hurt recently).
		- Now counts elites and champions/bosses as multiple enemies (default +2/+4).
		- Renamed existing config options to force changes, as this is effectively a major rework to further differentiate the item from Focus Crystal.
	- Negative Feedback Loop:
		- No longer triggers on-hurt items.
		- No longer applies to fall damage.
		- Now procs its DoT once per frame (effectively continuously) by default. This config was not forced to update; default 0.2s will still be in place for already-installed copies of the mod.
	- Percussive Maintenance:
		- Now also heals you when you heal an ally (for 25% the amount by default).
	- Unstable Klein Bottle:
		- Now pulls enemies instead of pushing if procced by a melee survivor. List of melee survivors is configurable (by body name).
	- RC Controller:
		- Nerfed first-stack fire rate to match per-extra-stack rate (100% --> 25%).
- Percussive Maintenance now passes through proc chain masks instead of using an empty one.
- Phrasing tweak on Defibrillator description.
- Fixed Pinball Wizard unintentionally affecting deployables and Rex's Special skill. Now has a configurable projectile name blacklist.

**1.12.1**

- Balance pass.
	- Hydroponic Cell now adds base damage instead of direct damage.
	- Hydroponic Cell now has a minimum hit threshold similar to the elemental bands (defaults to the same amount, 400%).
	- Unstable Klein Bottle now deals damage (50% by default).
	- Allowed Pixie Tube to work on some previously-blacklisted skills (MUL-T and Railgunner mode switches) now that an ICD is in place.
	- Reduced Bulwark Drone shield (100 --> 60) and armor (50 --> 20). Testing found it to be both too evasive and too tanky at once.
- Hydroponic Cell informational buffs are now percentages of max charge (was previously integer times max health / damage stat).
- Hydroponic Cell is now implemented as a separate instance of damage due to technical limitations on the minimum hit threshold.
- Improved AI on Item Drone and Equipment Drone. Slightly. They're still drones.
- Item Drone and Equipment Drone now use continuous collision detection (much lower chance of flying through walls).

**1.12.0** *The Science! Update, Part 3*

- ADDED INTERACTABLES: Bulwark Drone!
- ADDED ITEMS: Faulty Mortar Tube, Hydroponic Cell, EMP Device, Shrink Ray!
- Balance pass.
	- Buffed Item Drone radius (60 m --> 100 m).
	- Item Drone no longer accepts AI summon items like Queen's Gland, nor consumable/consumed items.
	- Mostly-Tame Mimic no longer mimics consumable items.
	- Pixie Tube now has a separate 3 second cooldown on each non-primary skill (addresses spammability on modded characters with mode swap skills).
	- Pixie Tube now triggers on equipment.
- Item Drone:
	- Now has a custom model and cleaner setup code (thanks ThunderKit!).
	- Improved spawncard compatibility (now properly registered/deregistered instead of setting spawn weight to 0).
- Cardboard Box and Quantum Recombobulator now work on Broken Equipment Drones, Broken Item Drones, and Casino Chests.

**1.11.3**

- Fixed Unstable Klein Bottle's unlock achievement not triggering.

**1.11.2**

- Fixed Item Drone interactables spawning while disabled.